@import "../../../../scss/variables";
@import "../../../../../node_modules/bulma/sass/utilities/_all";

.active-filter-type-label{
  font-size: 50% !important;
  color: black !important;
  display: block;
  line-height: 5px;
  margin-left: 11px;
}

.sort-item {
  margin-bottom: 1.5rem;
}

.active-filters-title {
  color: $grey-dark-color;
}

.remove-filter-btn {
  background: transparent;
  border: none;
  cursor: pointer;
  display: flex;

  svg {
    width: 0.7rem;
    height: 0.7rem;
  }
}

.filter-img svg {
  height: 13px;
  margin-right: 10px;
  rect#colored {
    stroke: var(--commune-color-var, #F93D51);
  }
}

.filter-detail {
  border-bottom: 1px solid white;
  border-top: 1px solid white;

  &.is-open {
    border-bottom: 1px solid #f2f2f2;
  }
}

// Emulate a first-of-class. We define the border we want for the first
// element in the previous declaration, and then we undo it for all the others elements
div.filter-detail ~ div.filter-detail {
  border-top: none;
}

.active-filters-header {
  justify-content: space-between;
  padding: 1rem 0.75rem 0.5rem 0.75rem;
  display: none;

  .reset-button {
    border: none;
    padding: 1.25rem 1rem;
    color:$blue-color;
  }

  .column {
    margin-bottom: 0;
  }

  .filter-title span {
    font-size: $size-5;
  }

  // Visible only for tablet and desktop
  @media screen and (min-width: $desktop) {
    display: flex;
  }
}

.active-filters-content {
  margin-bottom: 0.625rem;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-bottom: 0.75rem;

  & > .column {
    padding-bottom: 0;
  }

  .columns {
    margin-bottom: 0.25rem;
  }

  .active-filter-container {
    max-width: 100%;
    padding-top: 0.5rem;

    .active-filter {
      background-color: white;
      padding: 0.4375rem 0.4375rem;
      justify-content: space-between;
      border: 1px solid  $blue-color;
      border-radius: 200px;
      align-items: center;

      .column {
        padding-top: 0;
        padding-bottom: 0;

        &:first-of-type {
          max-width: 90%;
        }
      }

      span {
        color: $blue-color;
        font-size: $size-7;
        vertical-align: top;
      }

      .active-filter-label {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: 100%;
        display: inline-block;
      }
    }
  }
}
